
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>人脸检测发展：从VJ到深度学习（上） / iVAN</title>

    <meta name="description" content="人脸检测发展：从VJ到深度学习（上） 雷锋网(公众号:雷锋网)按:本文作者邬书哲, 中科院计算所智能信息处理重点实验室VIPL课题组博士生,研究方向:目标检测,尤其关注基于深度学习的目标检测方法. 本文分上下两篇,上篇主要介绍人脸检测的基本流程,以及传统的VJ人脸检测器及其改进,下篇介绍基于深度网络的检测器,以及对目前人脸检测技术发展的思考与讨论.为了让本文更适合非计算机视觉和机器学习背景的读者,文中对所涉及到的专业术语尽量以通俗的语言和用举例的方式来进行解释,同时力求严谨,以体现实事求是和一丝不苟的科学研究精神.    这是一个看">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">人脸检测发展：从VJ到深度学习（上）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>雷锋网(公众号：雷锋网)按：本文作者邬书哲, 中科院计算所智能信息处理重点实验室VIPL课题组博士生，研究方向：目标检测，尤其关注基于深度学习的目标检测方法。</strong></p>
<p>本文分上下两篇，上篇主要介绍人脸检测的基本流程，以及传统的VJ人脸检测器及其改进，下篇介绍基于深度网络的检测器，以及对目前人脸检测技术发展的思考与讨论。为了让本文更适合非计算机视觉和机器学习背景的读者，文中对所涉及到的专业术语尽量以通俗的语言和用举例的方式来进行解释，同时力求严谨，以体现实事求是和一丝不苟的科学研究精神。   </p>
<p>这是一个看脸的世界！自拍，我们要艺术美颜；出门，我么要靓丽美妆。上班，我们要刷脸签到；回家，我们要看脸相亲。 当手机把你的脸变得美若天仙，当考勤机认出你的脸对你表示欢迎，你知道是什么魔力让冷冰冰的机器也变得温情脉脉，让呆呆的设备也变得善解人意吗？今天就让我们走近它们的内心，了解这些故事背后的一项关键技术：<strong>人脸检测</strong>。    </p>
<p>看人先看脸，走在大街上，我们可以毫不费劲地看到所有人的脸：棱角分明的国字脸，娇小可人的瓜子脸，擦肩而过路人甲的脸，迎面走来明星乙的脸，戴着口罩被遮住的脸，斜向上45度仰角自拍的脸。可是，对于我们的计算机和各种终端设备而言，从眼前的画面中把人脸给找出来，并不是一件容易的事情，原因就在于，一千个读者就有一千个哈姆雷特，在你的眼里，人脸是这样的：   </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODg4Y2JlNWMxLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>而在机器的眼里，人脸是这样的：   </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODg5NzFjYWRkLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>你没看错，图像存储在机器中不过就是一个由0和1组成的二进制串！更确切地说，机器看到的是图像上每一个点的颜色值，因此对于机器来说，一张图像就是一个由数排成的阵列。试想一下，如果我把每个点的颜色值都念给你听，你能告诉我对应的这张图像上有没有人脸和人脸在哪里吗？很显然，这并不是一个容易解决的问题。    </p>
<p>如果手机没法在自拍照中找到我们脸，那它就像一个失明的化妆师，没法展现出我们最好的一面；如果考勤机没法通过摄像头看到我们的脸，那我们的笑就只是自作多情，它也根本不可能识别出我们到底是谁。人脸检测架起了机器和我们之间沟通的桥梁，使得它能够知道我们的身份（人脸识别），读懂我们的表情（表情识别），和我们一起欢笑（人脸动画），与我们一起互动（人机交互）。</p>
<p><strong>人脸检测的开始和基本流程  </strong>  </p>
<p>具体来说，人脸检测的任务就是判断给定的图像上是否存在人脸，如果人脸存在，就给出全部人脸所处的位置及其大小。由于人脸检测在实际应用中的重要意义，早在上世纪70年代就已经有人开始研究，然而受当时落后的技术条件和有限的需求所影响，直到上世纪90年代，人脸检测技术才开始加快向前发展的脚步，在新世纪到来前的最后十年间，涌现出了大量关于人脸检测的研究工作，这时期设计的很多人脸检测器已经有了现代人脸检测技术的影子，例如可变形模板的设计（将人脸按照五官和轮廓划分成多个相互连接的局部块）、神经网络的引入（作为判断输入是否为人脸的分类模型）等。这些早期的工作主要关注于检测正面的人脸，基于简单的底层特征如物体边缘、图像灰度值等来对图像进行分析，结合关于人脸的先验知识来设计模型和算法（如五官、肤色），并开始引入一些当时已有的的模式识别方法。    </p>
<p>虽然早期关于人脸检测的研究工作离实际应用的要求还有很远，但其中进行检测的流程已经和现代的人脸检测方法没有本质区别。给定一张输入图像，要完成人脸检测这个任务，我们通常分成三步来进行：  </p>
<p>  1.选择图像上的某个（矩形）区域作为一个观察窗口；   </p>
<p> 2.在选定的窗口中提取一些特征对其包含的图像区域进行描述；   </p>
<p> 3.根据特征描述来判断这个窗口是不是正好框住了一张人脸。   </p>
<p>检测人脸的过程就是不断地执行上面三步，直到遍历所有需要观察的窗口。如果所有的窗口都被判断为不包含人脸，那么就认为所给的图像上不存在人脸，否则就根据判断为包含人脸的窗口来给出人脸所在的位置及其大小。    </p>
<p>那么，如何来选择我们要观察的窗口呢？所谓眼见为实，要判断图像上的某个位置是不是一张人脸，必须要观察了这个位置之后才知道，因此，选择的窗口应该覆盖图像上的所有位置。显然，最直接的方式就是让观察的窗口在图像上从左至右、从上往下一步一步地滑动，从图像的左上角滑动到右下角——这就是所谓的滑动窗口范式，你可以将它想象成是福尔摩斯（检测器）在拿着放大镜（观察窗口）仔细观察案发现场（输入图像）每一个角落（滑动）的过程。 </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODg5OTFlZGYyLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>别看这种用窗口在图像上进行扫描的方式非常简单粗暴，它的确是一种有效而可靠的窗口选择方法，以至于直到今天，滑动窗口范式仍然被很多人脸检测方法所采用，而非滑动窗口式的检测方法本质上仍然没有摆脱对图像进行密集扫描的过程。    </p>
<p>对于观察窗口，还有一个重要的问题就是：窗口应该多大？我们认为一个窗口是一个人脸窗口当且仅当其恰好框住了一张人脸，即窗口的大小和人脸的大小是一致的，窗口基本贴合人脸的外轮廓。    </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODg5YWVhZTEzLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>那么问题来了，即使是同一张图像上，人脸的大小不仅不固定，而且可以是任意的，这样怎么才能让观察窗口适应不同大小的人脸呢？一种做法当然是采用多种不同大小的窗口，分别去扫描图像，但是这种做法并不高效。换一个角度来看，其实也可以将图像缩放到不同的大小，然后用相同大小的窗口去扫描——这就是所谓的构造图像金字塔的方式。图像金字塔这一名字非常生动形象，将缩放成不同大小的图像按照从大到小的顺序依次往上堆叠，正好就组成了一个金字塔的形状。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODg5Yzg5YmJhLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>通过构建图像金字塔，同时允许窗口和人脸的贴合程度在小范围内变动，我们就能够检测到不同位置、不同大小的人脸了。另外需要一提的是，对于人脸而言，我们通常只用正方形的观察窗口，因此就不需要考虑窗口的长宽比问题了。    </p>
<p>选好了窗口，我们开始对窗口中的图像区域进行观察，目的是收集证据——真相只有一个，我们要依靠证据来挖掘真相！在处理图像的过程中，这个收集证据的环节我们称之为特征提取，特征就是我们对图像内容的描述。由于机器看到的只是一堆数值，能够处理的也只有数值，因此对于图像所提取的特征具体表示出来就是一个向量，称之为特征向量，其每一维是一个数值，这个数值是根据输入（图像区域）经由某些计算（观察）得到的，例如进行求和、相减、比较大小等。总而言之，特征提取过程就是从原始的输入数据（图像区域颜色值排列组成的矩阵）变换到对应的特征向量的过程，特征向量就是我们后续用来分析和寻找真相的证据。   </p>
<p>特征提取之后，就到了决断的时刻：判别当前的窗口是否恰好包含一张人脸。我们将所有的窗口划分为两类，一类是恰好包含人脸的窗口，称之为人脸窗口，剩下的都归为第二类，称之为非人脸窗口，而最终判别的过程就是一个对当前观察窗口进行分类的过程。因为我们的证据是由数值组成的特征向量，所以我们是通过可计算的数学模型来寻找真相的，用来处理分类问题的数学模型我们通常称之为分类器，分类器以特征向量作为输入，通过一系列数学计算，以类别作为输出——每个类别会对应到一个数值编码，称之为这个类别对应的标签，如将人脸窗口这一类编码为1，而非人脸窗口这一类编码为-1；分类器就是一个将特征向量变换到类别标签的函数。    </p>
<p>考虑一个最简单的分类器：将特征向量每一维上的数值相加，如果得到的和超过某个数值，就输出人脸窗口的类别标签1，否则输出非人脸窗口的类别标签-1。记特征向量为，</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODg5ZTA5MTk0LnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>分类器为函数f(x)，那么有：    </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODg5ZWU0YmIxLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>这里的t就是前面所说的“某个数值”，其决定了分类器在给定特征向量下的输出结果，我们称其为分类器的参数。不同形式和类型的分类器会有不同的参数，一个分类器可以有一个或者多个参数，参数或者其取值不同则对应到不同的分类器。选定了一个分类器之后，紧接着的一个问题就是：参数该怎么设置？具体到我们正在考虑的情况，就是：t的值该如何选取？   </p>
<p>要做出选择，就要有一个目标，在分类问题中，目标当然就是尽可能正确地进行分类，即分类的准确率尽可能高。然而，尽管我们对目标非常明确，我们也仍然没法给出一个最优的参数取值，因为我们并不使用机器所采用的二进制语言系统，我们并不懂什么才是对机器最好的。于是我们只有一种选择：把我们的目标告诉机器，举一些例子向其进行解释，然后让机器自己去学习这个参数，最后我们给机器设计一场考试，测试其是否满足了我们的要求。我们从一些图像上选出一部分人脸和非人脸窗口的样例，用对应的类别标签对其进行标注，然后将这些样例划分成两个集合，一个集合作为分类器学习所使用的训练集，另一个集合作为最终考查分类器能力的测试集，同时我们设定一个目标：希望分类的准确率能够在80%以上。    </p>
<p>学习过程开始时，我们先给分类器的参数设定一个初始值，然后让分类器通过训练集中带有“答案”（类别标签）的样例，不断去调整自己参数的取值，以缩小其实际的分类准确率和目标准确率之间的差距。当分类器已经达到了预先设定的目标或者其它停止学习的条件——期末考试的时间是不会因为你没有学好而推迟的，或者分类器觉得自己已经没有办法再调整了，学习过程就停止了，这之后我们可以考查分类器在测试集上的准确率，以此作为我们评判分类器的依据。这一过程中，分类器调整自己参数的方式和分类器的类型、设定的目标等都有关，由于这部分内容超出了本文所讨论的范畴，也并不影响读者对人脸检测方法的理解，因此不再展开进行讲述。    </p>
<p>在确定了选择窗口的策略，设计好了提取特征的方式，并学习了一个针对人脸和非人脸窗口的分类器之后，我们就获得了构建一个人脸检测系统所需要的全部关键要素——还有一些小的环节相比之下没有那么重要，这里暂且略去。    </p>
<p>由于采用滑动窗口的方式需要在不同大小的图像上的每一个位置进行人脸和非人脸窗口的判别，而对于一张大小仅为480*320的输入图像，窗口总数就已经高达数十万，面对如此庞大的输入规模，如果对单个窗口进行特征提取和分类的速度不够快，就很容易使得整个检测过程产生巨大的时间开销，也确实就因为如此，早期所设计的人脸检测器处理速度都非常慢，一张图像甚至需要耗费数秒才能处理完成——视频的播放速度通常为每秒25帧图像，这给人脸检测投入现实应用带来了严重的障碍。</p>
<p><strong>人脸检测技术的突破：VJ人脸检测器及其发展    </strong></p>
<p>人脸检测技术的突破发生在2001年，两位杰出的科研工作者Paul Viola和Michael Jones设计了出了一个快速而准确的人脸检测器：在获得相同甚至更好准确度的同时，速度提升了几十上百倍——在当时的硬件条件下达到了每秒处理15张图像的速度，已经接近实时速度25fps（即25帧每秒）。这不仅是人脸检测技术发展的一个里程碑，也标志着计算机视觉领域的研究成果开始具备投入实际应用的能力。为了纪念这一工作，人们将这个人脸检测器用两位科研工作者的名字命名，称之为Viola-Jones人脸检测器，或者简称为VJ人脸检测器。    </p>
<p>VJ人脸检测之所以器能够获得成功，极大地提高人脸检测速度，其中有三个关键要素：特征的快速计算方法——积分图，有效的分类器学习方法——AdaBoost，以及高效的分类策略——级联结构的设计。VJ人脸检测器采用Haar特征来描述每个窗口，所谓Haar特征，其实就是在窗口的某个位置取一个矩形的小块，然后将这个矩形小块划分为黑色和白色两部分，并分别对两部分所覆盖的像素点（图像上的每个点称为一个像素）的灰度值求和，最后用白色部分像素点灰度值的和减去黑色部分像素点灰度值的和，得到一个Haar特征的值。    </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODg5ZmRmMDMyLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>Haar特征反映了局部区域之间的相对明暗关系，能够为人脸和非人脸的区分提供有效的信息，例如眼睛区域比周围的皮肤区域要暗，通过Haar特征就可以将这一特点表示出来。但是由于提取Haar特征时每次都需要计算局部区域内多个像素点灰度值之和，因此在速度上其并不快，为此VJ人脸检测器引入了积分图来加速Haar特征的提取。    </p>
<p>积分图是一张和输入图像一样大的图，但其每个点上不再是存放这个点的灰度值，而是存放从图像左上角到该点所确定的矩形区域内全部点的灰度值之和。    </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODhhMTE4YTc4LnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>积分图所带来的好处是两方面的，一方面它使得每次计算局部区域像素点的灰度值之和仅需要做4次加减法，与局部区域的大小无关；另一方面它避免了在相同像素点上重复求和，只在最开始计算一次——相邻的窗口有很大的重叠部分，对应的Haar特征也会重叠，如果每次都重新计算像素点的灰度值之和，则重叠部分的计算是重复的。积分图极大地加速了Haar特征的提取，向快速的检测器迈出了第一步。   </p>
<p>除了特征提取，分类过程的速度对于检测的速度也至关重要。分类的速度取决于分类器的复杂程度，也即从特征向量变换到类别标签的计算过程的复杂程度。复杂的分类器往往具有更强的分类能力，能够获得更好的分类准确度，但是分类时的计算代价比较高，而简单的分类器虽然计算代价小，但是分类准确度也较低。那么有没有兼顾计算代价和分类准确度两方面的办法呢？当然有，这就是AdaBoost方法。希望计算代价小，所以只用简单的分类器，但是又希望分类准确度高，于是把多个简单的分类器组合起来——聚弱为强，将多个弱分类器组合成一个强分类器，这就是AdaBoost方法的核心理念。通过AdaBoost方法来学习分类器，达到了以更小的计算代价换取同样的分类准确度的目的。    </p>
<p>造成人脸检测速度慢的根本原因还在于输入规模过大，动辄需要处理几十上百万的窗口，如果这样的输入规模是不可避免的，那么有没有可能在处理的过程中尽快降低输入规模呢？如果能够通过粗略地观察快速排除掉大部分窗口，只剩下少部分窗口需要进行仔细的判别，则总体的时间开销也会极大地降低。从这样的想法出发，VJ人脸检测器采用了一种级联结构来达到逐步降低输入规模的目的。   </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODhhMmFhNGI1LnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>具体说来，VJ人脸检测器将多个分类器级联在一起，从前往后，分类器的复杂程度和计算代价逐渐增大，对于给定的一个窗口，先由排在最前面也最简单的分类器对其进行分类，如果这个窗口被分为非人脸窗口，那么就不再送到后面的分类器进行分类，直接排除，否则就送到下一级分类器继续进行判别，直到其被排除，或者被所有的分类器都分为人脸窗口。这样设计的好处是显而易见的，每经过一级分类器，下一级分类器所需要判别的窗口就会减少，使得只需要付出非常少的计算代价就能够排除大部分非人脸窗口。从另一个角度来看，这实际上也是根据一个窗口分类的难度动态地调整了分类器的复杂程度，这显然比所有的窗口都用一样的分类器要更加高效。    </p>
<p>VJ人脸检测器通过积分图、AdaBoost方法和级联结构取得的巨大成功对后续的人脸检测技术研究产生了深远的影响，大量的科研工作者开始基于VJ人脸检测器进行改进，这些改进也分别覆盖了VJ人脸检测器的三个关键要素。</p>
<p><strong>特征的改进和变迁    </strong></p>
<p>虽然Haar特征已经能够刻画人脸的一些特点，但是相比于人脸复杂的变化模式，VJ人脸检测器所采用的5种Haar特征还是过于简单。光考虑姿态上的变化，人脸可能是斜着的（平面内旋转），也可能是仰着的或者侧着的（平面外旋转），同一个Haar特征在不同姿态的人脸上差异可能非常大，而同时又可能和非人脸区域上的特征更相近，这就很容易在分类的时候引起误判。于是人们开始对Haar特征进行扩展，使得其能够刻画更加丰富的变化模式：   </p>
<p>1. 环形的黑白区域划分模式，而不仅仅是上下或者左右型；</p>
<p>2. 旋转的Haar的特征，即将原来提取Haar特征的局部小块顺时针或逆时针旋转45度；   </p>
<p>3. 分离的Haar特征，即允许一个Haar特征由多个互相分离的黑白区域来计算，而不要求黑白区域必须处于一个矩形小块中；   </p>
<p>4. 对角型Haar特征；    </p>
<p>5. 组合Haar特征，即对多个不同的Haar特征进行组合和二值编码；    </p>
<p>6. 局部组合二值特征，即在局部对特定的Haar特征按照一定的结构进行组合和二值编码；    </p>
<p>7. 带权多通道Haar特征，即一个Haar特征不再只包含黑白两种块，而允许有多种不同形状和不同颜色的块，其中不同的颜色对应着不同的权值，表示像素点上求和之后所占的比重——原来只有1和-1两种，多通道指的是在像素点上求和不仅仅是在灰度这一个通道上计算，而是同时在其它通道上计算（如RGB三个颜色通道；事实上，基于原图计算而来和原图同样大小的任何一张图都可以是图像的一个通道）。    </p>
<p>这些扩展极大地增强了Haar特征的表达能力，使得人脸窗口和非人脸窗口之间具有更好的区分性，从而提高了分类的准确度。    </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODhhNDIzYTkyLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>除了直接对Haar特征进行改进，人们也同时在设计和尝试其它特征。Haar特征本质上是局部区域像素值的一种线性组合，其相对应的更一般的形式则是不指定线性组合的系数，允许系数为任意实数，这被称之为线性特征——这里的组合系数可以基于训练样例来进行学习，类似于学习分类器参数的过程。稀疏粒度特征也是一种基于线性组合来构造的特征，与线性特征所不同的是，稀疏粒度特征是将不同尺度（将100*100的图像放大到200*200，它和原本大小就为200*200的图像是处于不同的尺度上）、位置和大小的局部区域进行组合，而线性特征只是组合同一个局部区域内的像素值。    </p>
<p>LBP特征是一种二值编码特征，其直接基于像素灰度值进行计算，特点是在编码时考虑的是两个值的相对大小，并且按照一定的空间结构来进行编码，局部组合二值特征就是在LBP特征的启发下设计的；从计算上来看，提取LBP特征比提取Haar特征要快，但是Haar特征对于人脸和非人脸窗口的区分能力更胜一筹。简化的SURF特征是一种和Haar特征相类似的特征，但是其计算的是局部区域中像素点的梯度和，并在求和的过程中考虑了梯度方向（所谓梯度，最简单的一种情形就是指同一行上两个不同位置像素值的差比上它们水平坐标的差）；SURF特征比Haar特征更为复杂，因此计算代价更高，但是由于其表达能力更强，因此能够以更少数目的特征来达到相同的区分度，在一定程度上弥补了其在速度上的不足。HOG特征也是一种基于梯度的特征，其对一个局部区域内不同方向的梯度进行统计，计算梯度直方图来表示这个区域。积分通道特征和多通道的Haar特征有些类似，但是其使用的通道更加多样化，将通道的概念推广为由原图像变换而来并且空间结构和原图像对应的任何图像。聚合通道特征则在积分通道特征的基础上进一步加入了对每个通道进行下采样的操作，实现局部区域信息的聚合。    </p>
<p>在过去十几年的探索过程中，涌现出的特征不胜枚举，这里只选取了部分比较有代表性和反映了人们探索思路的特征进行举例。这里所有列举的特征都有一个共同的特点：都由科研工作者根据自己的经验手工设计，这些特征的设计反映了人们对问题的理解和思考。虽然随着不断的改进，设计出的特征已经日臻完善，但直到现在，人们在特征上的探索还远没有结束。</p>
<p><strong>分类器及其学习方法的改进  </strong>  </p>
<p>分类器能力的强弱直接决定了分类准确度的高低，而分类的计算代价是影响检测速度的一个关键因素，因此，人们探索的另一个方向就是对分类器及其学习方法的改进。    </p>
<p>采用AdaBoost方法由弱分类器构建强分类器，这是一个顺序执行的过程，换言之，一旦一个弱分类器被选中，其就必定会成为强分类器的组成部分，不允许反悔，这其实是假设增加弱分类器一定会使得强分类器的分类准确度更高，但是，这个假设并不总是成立。事实上，每次对弱分类器的选择只是依照当时的情况决定，而随着新的弱分类器被增加进来，从整体上来看，之前的选择未必最优。基于这样的想法，出现了允许回溯的FloatBoost方法。FloatBoost方法在选择新的弱分类器的同时，也会重新考查原有的弱分类器，如果去掉某个弱分类器之后强分类器的分类准确度得到了提升，那说明这个弱分类器带来了负面影响，应该被剔除。    </p>
<p>VJ人脸检测器中，相级联的多个分类器在学习的过程中并不会产生直接的联系，其关联仅体现在训练样例上：后一级分类器的训练样例一定要先通过前一级分类器。不同分类器在学习时的独立性会带来两方面的坏处：一是在每个分类器都是从头开始学习，不能借鉴之前已经学习好的分类器的经验；二是每个分类器在分类时都只能依靠自己，不能利用其它分类器已经获得的信息。为此，出现了两种改进的方案：链式Boosting方法和嵌套式Boosting方法。两种方案都在学习新一级的分类器时，都考虑之前已经学好的分类器，区别在于链式Boosting方法直接将前面各级分类器的输出进行累加，作为基础得分，新分类器的输出则作为附加得分，换言之，前面各级分类器实际上是新分类器的一个“前缀”，所有的分类器通过这种方式链在了一起；嵌套式Boosting方法则直接将前一级分类器的输出作为新分类器第一个弱分类器的特征，形成一种嵌套的关系，其特点是只有相邻的分类器才会互相影响。还有一种和嵌套式Boosting方法相类似的方案：特征继承，即从特征而不是分类器的角度来关联不同的分类器，具体而言，新的分类器在学习时会先继承前一级分类器的所有特征，基于这些特征学习弱分类器，再此基础上再考虑增加新的弱分类器，这一方案的特点在于其只引入了分类器学习时的相互影响，而在分类时分类器之间仍然是相互独立的。    </p>
<p>相关的任务之间往往会相互产生促进作用，相辅相成，而和人脸检测密切相关的一个任务就是特征点定位：预测脸部关键点的位置，这些关键点可以是双眼中心、鼻尖、嘴角等。基于这样一种想法，在2014年出现了Joint Cascade，即把检测人脸所需要的分类器和预测特征点位置的回归器交替级联，同时进行人脸检测和特征点定位两个任务。用特征点定位辅助人脸检测的关键在于形状索引特征的引入，即特征不再是在整个窗口中提取，而是在以各个特征点为中心的局部区域进行提取，这样的好处就在于提高了特征的语义一致性。不同的人脸其对应的特征点位置是不同的，反过来看，也就是说相同的位置实际上对应于脸部的不同区域，那么在相同区域提取的特征实际上表示的是不同的语义，简单地说，就是在拿鼻子去和嘴巴匹配。采用形状索引特征可以很好地避免这个问题，从而增大人脸和非人脸窗口之间的区分性。对于一个给定的窗口，我们并不知道特征点的位置，因此采用一个“平均位置”作为初始位置，即基于标注有特征点坐标的人脸样例集，计算出的每个点坐标的平均值；在平均位置的基础上，我们提取特征预测各个特征点真实的位置，不过一次预测往往是不准确的，就好像跑步的时候我们没法直接从起点跳到终点一样，所以需要不断基于当前确定的特征点位置来预测新的位置，逐步向其真实的位置靠近。这个过程很自然地形成了一种级联结构，从而能够和人脸检测器耦合在一起，形成一种不同模型交替级联的形式。</p>
<p>针对分类器学习过程中的每一个环节，人们都进行了细致而充分的探索，除了上面提到的几个方向，在分类器分类阈值的学习、提升分类器学习的速度等问题上，也出现了很多出色的研究工作。大部分在分类器及其学习方法上进行改进的工作关注的还是Boosting方法（AdaBoost方法是Boosting方法的一个杰出代表）和相对简单的分类器形式，如果能够引入具有更强分类能力的分类器，相信能给检测器带来进一步的性能提升，这一点在后文会有所涉及。</p>
<p><strong>级联结构的演化   </strong> </p>
<p>分类器的组织结构也是人们关心的一个重要问题，尤其是在面临多姿态人脸检测任务的时候。人脸的姿态是指人脸在三维空间中绕三个坐标轴旋转的角度，而多姿态人脸检测就是要将带旋转的人脸给检测出来，不管是斜着的（绕x轴旋转）、仰着的（绕y轴旋转）还是侧着的（绕z轴旋转）。不同姿态的人脸在表观特征上存在很大的差异，这给检测器带来了非常大的挑战，为了解决这一问题，通常采用分治的策略，即分别针对不同姿态的人脸单独训练分类器，然后组合起来构建成多姿态人脸检测器。    </p>
<p>最简单的多姿态人脸检测器就是将针对不同姿态人脸的分类器采用并列式的结构进行组织，其中并列的每一个分类器仍然采用原来的级联结构（我们称这种分类器为级联分类器）；在检测人脸的过程中，一个窗口如果被其中一个级联分类器分为人脸窗口，则认为其确实是一个人脸窗口，而只有当每一个级联分类器都将其判别为非人脸窗口时，才将其排除掉。这种并列式的组织架构存在两方面的缺陷：一是造成了检测时间的成倍增长，因为绝大部分窗口是非人脸窗口，这些窗口需要经过每一个级联分类器的排除；二是容易造成整体分类准确度的降低，因为整个检测器分错的窗口包含的是所有级联分类器分错的窗口。    </p>
<p>有人设计了一种金字塔式的级联结构，金字塔的每一层对应于对人脸姿态（旋转角度）的一个划分，从顶层到底层划分越来越细，级联的每个分类器只负责区分非人脸和某个角度范围内的人脸。对于一个待分类的窗口，从最顶层的分类器开始对其进行分类，如果其被分为人脸窗口，则送入到下一层的第一个分类器继续进行分类，如果其被分为非人脸窗口，则送入到同一层的下一个分类器继续进行分类，当在某一层上所有的分类器都将其分为非人脸窗口时，就确认其为非人脸窗口，将其排除。金字塔式的级联结构也可以看成是一种特殊的并列式结构，只不过每个级联分类器相互之间有共享的部分，这样最直接的好处就在于减少了计算量，共享的部分只需要计算一次，同时在底层又保留了分治策略所带来的好处——子问题比原问题更加容易，因此更容易学习到分类准确度更高的分类器。    </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3N0YXRpYy5sZWlwaG9uZS5jb20vdXBsb2Fkcy9uZXcvYXJ0aWNsZS83NDBfNzQwLzIwMTYwOC81N2E5ODhhNWJjOTRmLnBuZz9pbWFnZU1vZ3IyL2Zvcm1hdC9qcGcvcXVhbGl0eS85MA==.jpg"></p>
<p>还有一种比较典型的结构是树形的级联结构，从形状上来看其和金字塔式的级联结构是一样的，也是从上往下分类器的数目逐层增多，区别就在于树形的级联结构中没有同一层分类器之间的横向连接，只有相邻层分类器之间的纵向连接，即一个窗口在同一层上不会由多个分类器进行分类，而会直接被送往下一层或者被排除。树形级联结构通过引入分支跳转机制，进一步减少了对一个窗口进行分类所需要的计算量，不过同时也带来了新的问题，分支跳转通常根据姿态估计（估计旋转角度的范围）的结果来进行，而如果姿态估计出现错误，就会出现某个姿态的人脸窗口被送给另一个姿态人脸对应的分类器进行分类的情况，容易导致错误的分类。为了缓解这一问题，出现了允许多个分支同时跳转的设计，从而降低了由于跳转错误而引起分类错误的风险。    </p>
<p>分治策略是处理多姿态人脸检测任务最基本的策略，但要同时兼顾速度和分类准确度并不是一件容易的事情，分类能力的增强不可避免地会带来计算代价的增大，如何用更小的计算代价来换取更高的分类准确度，这仍然是一个需要去思考和探索的问题。</p>
<p><strong>人脸检测器的比拼   </strong> </p>
<p>在不断对人脸检测器进行改进的过程中，有一个问题是不容忽视的：如何科学地比较两个人脸检测器的优劣？简单地说，出一套考题让所有的检测器进行一场考试，谁得分高谁就更好。对于人脸检测器而言，所谓考题（测试集）就是一个图像集合，通常其中每张图像上都包含至少一张人脸，并且这些人脸的位置和大小都已经标注好。关于得分，需要考虑检测器两方面的表现，一是检测率，也即对人脸的召回率，检测出来的人脸占总人脸的比例——测试集中一共标注了100张人脸，检测器检测出其中70张人脸，则检测率为70%；二是误检（也称为虚警）数目，即检测器检测出来的人脸中出现错误（实际上不是人脸）的数目——检测器一共检测出80张人脸，然而其中有10个错误，只有70个是真正的人脸，那么误检数目就是10。在这两个指标上，我们所希望的总是检测率尽可能高，而误检数目尽可能少，但这两个目标之间一般是存在冲突的；在极端的情况下，如果一张脸也没有检测出来，那么误检数目为0，但是检测率也为0，而如果把所有的窗口都判别为人脸窗口，那么检测率为100%，而误检数目也达到了最大。在比较两个检测器的时候，我们通常固定一个指标，然后对比另一个指标，要么看相同误检数目时谁的检测率高，要么看相同检测率时谁的误检少。    </p>
<p>对于每一个检测出的人脸，检测器都会给出这个检测结果的得分（或者说信度），那么如果人为地引入一个阈值来对检测结果进行筛选（只保留得分大于阈值得检测结果），那么随着这个阈值的变化，最终得检测结果也会不同，因而其对应得检测率和误检数目通常也会不同。通过变换阈值，我们就能够得到多组检测率和误检数目的值，由此我们可以在平面直角坐标系中画出一条曲线来：以x坐标表示误检数目，以y坐标表示检测率，这样画出来的曲线称之为ROC曲线（不同地方中文译法不一，如接收机曲线、接收者操作特征曲线等，这里直接采用英文简写）。ROC曲线提供了一种非常直观的比较不同人脸检测器的方式，得到了广泛的使用。    </p>
<p>评测人脸检测器时还有一个重要的问题：怎么根据对人脸的标注和检测结果来判断某张人脸是否被检测到了？一般来说，检测器给出的检测框（即人脸窗口）不会和标注的人脸边框完全一致，而且对人脸的标注也不一定是矩形，例如还可能是椭圆形；因此当给定了一个检测框和一个标注框时，我们还需要一个指标来界定检测框是否和标注框相匹配，这个指标就是交并比：两者交集（重叠部分）所覆盖的面积占两者并集所覆盖面积的比例，一般情况下，当检测框和标注框的交并比大于0.5时，我们认为这个检测框是一个正确检测的人脸。    </p>
<p>在早期的人脸检测工作中，一般采用MIT-CMU人脸检测数据集作为人脸检测器的测试集，来比较不同的检测器。这个测试集只包含几百张带有人脸的图像，并且人脸主要是清晰且不带遮挡的正面人脸，因而是一个相对简单的测试集，现在几乎已经不再使用。在2010年，美国麻省大学的一个实验室推出了一个新的人脸检测评测数据集：FDDB，这个集合共包含2845张带有人脸的互联网新闻图像，一共标注了5171张人脸，其中的人脸在姿态、表情、光照、清晰度、分辨率、遮挡程度等各个方面都存在非常大的多样性，贴近真实的应用场景，因而是一个非常具有挑战性的测试集。FDDB的推出激发人们在人脸检测任务上的研究热情，极大地促进了人脸检测技术的发展，在此后的几年间，新的人脸检测方法不断涌现，检测器在FDDB上的表现稳步提高。从100个误检时的检测率来看，从最初VJ人脸检测器的30%，发展到现在已经超过了90%——这意味着检测器每检测出50张人脸才会产生一个误检，这其中的进步是非常惊人的，而检测器之间的比拼还在继续。</p>
<p>本文作者：深度学习大讲堂</p>
<p>本文转自雷锋网禁止二次转载，<a href="https://www.leiphone.com/news/201608/MPXlWtGaJLPYL7NB.html" rel="external nofollow noreferrer">原文链接</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 20:41:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b7%b1%e5%ba%a6%e5%ad%a6%e4%b9%a0/" title="深度学习">深度学习</a>, <a href="https://www.iamivan.net/tag/%e4%ba%ba%e8%84%b8%e6%a3%80%e6%b5%8b/" title="人脸检测">人脸检测</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>人脸检测发展：从VJ到深度学习（上）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY5gkrM.html" rel="bookmark">人脸检测发展：从VJ到深度学习（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				雷锋网按:本文作者邬书哲, 中科院计算所智能信息处理重点实验室VIPL课题组博士生,研究方向:目标检测,尤其关注基于深度学习的目标检测方法. |深度学习给目标检测带来的变革      人脸检测作为一种特定类型目标的检测任务,一方面具有其自己鲜明的特点,需要考虑人脸这一目标的特殊性,另一方面其也和其它类型目标的检测任务具有一定的共性,能够直接借鉴在通用目标检测方法上的研究经验.     目标检测任务作为一个分类问题,其不仅受益于计算机视觉领域相关技术的不断发展,在机器学习领域的研究进展同样也对目标			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgWNZOM.html" rel="bookmark">CNCC 2016 &vert; 山世光：深度化的人脸检测与识别技术&mdash;进展与展望</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				雷锋网(公众号:雷锋网)按:本文根据山世光在 CNCC 2016 可视媒体计算论坛上所做的报告&lt;深度化的人脸检测与识别技术:进展与问题&gt;编辑整理而来,在未改变原意的基础上略有删减. 山世光,中科院计算所研究员,中科院智能信息处理重点实验室常务副主任.主要从事计算机视觉.模式识别.机器学习等相关研究工作.迄今已发表CCF A类论文50余篇,全部论文被Google Scholar引用9000余次.曾应邀担任过ICCV,ACCV,ICPR,FG等多个国际会议的领域主席(Area Chair).现任I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYnnWp.html" rel="bookmark">深度学习在人脸识别中的应用&mdash;&mdash;优图祖母模型的&OpenCurlyDoubleQuote;进化&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				雷锋网按:本文转自腾讯优图,着重介绍了深度学习在人脸识别中的应用,首先回顾了人脸识别的历史,接着介绍优图在人脸识别中的优势,及其&quot;进化过程&quot;. 说到人工智能(Artificial Intelligence, AI)人们总是很容易和全知.全能这样的词联系起来.大量关于AI的科幻电影更给人工智能蒙上一层神秘的色彩.强如&lt;黑客帝国&gt;.&lt;机械公敌&gt;中的AI要翻身做主人统治全人类.稍弱点的&lt;机械姬&gt;里EVA懂得利用美貌欺骗中二程序员,杀死主人逃出升天.最不济也			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NlnyM.html" rel="bookmark">演讲稿丨杨铭 深度学习发展的新趋势</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       大家好,我是杨铭.非常荣幸有这样的机会跟大家分享我们对深度学习研究发展新趋势的一些思考和总结,我们将这些新发展的首字母缩写成一个单词MARS.这是和我的同事黄畅博士共同的一些讨论.     简单介绍一下,我是去年夏天加入地平线的,负责软件工程.在此之前我在Facebook人工智能实验室负责人脸识别算法研究和后端系统开发,也曾在NEC美国实验室和徐伟一起工作,学到很多东西.        在谈论深度学习的新趋势之前,我们应该首先明确一下深度学习的定义和它现在的发展状态.非常幸运,学术			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRo6ep.html" rel="bookmark">OpenCv 人脸检测的学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近公司要组织开发分享,但是自己还是新手真的不知道分享啥了,然后看了看前段时间研究过OpenCv,那么就分享他把. openCv就不介绍了,说下人脸检测,其实是通过openCv里边已经训练好的xml文件来进行的,我只是在学习. 我测试中我写了俩个Demo,其中一个是通过Carame来通过摄像头来进行人脸检测看看效果图: 可以看出检测出来的面部有线框. 第一个Dmeo是通过Jni编程来实现的人脸检测, (1)这是本地方法 package com.example.opencv.checkface2;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mqan6kM.html" rel="bookmark">深度学习奏响智能视频分析技术新乐章</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在2017年两会热词中,被誉为互联网下一个风口的人工智能,成为两会期间大众的关注热点,与创业紧紧联系在一起,成为创业者的新宠.同时,网友也热衷于深扒人工智能背后的&quot;黑科技&quot;,深度学习技术也因此成为关注点聚焦.其实,深度学习和安防搭配食用更美味. 深度学习奏响智能视频分析技术新乐章 随着各地视频接入规模的迅猛增长及视频监控对高清.智能.联网的要求越来越高,每天产生的数据量正以惊人的速度在不停增长.视频监控正迎来全新的大数据时代,数据越来越成为最宝贵的资源,如何有效对数据进行存储.共享以及			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNaWVz.html" rel="bookmark">独家 &vert; 一文读懂深度学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Figure1. Deep learning导图   前言 深度学习(deep learning)的概念最早可以追溯到1940-1960年间的控制论(cybernetics),之后在1980-1990年间发展为连接主义(connectionism),第三次发展浪潮便是2006年由人工神经网络(Artificial neural network)扩展开来并发展成为今天十分火热的深度学习(Figure 2).实际上,深度学习的兴起和发展是非常自然的,人们在应用经典的机器学习方法时,需要对具体的问题或			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7N5gp.html" rel="bookmark">商汤科技曹旭东：为何深度学习几乎成了计算机视觉研究的标配？&vert; 硬创公开课</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				联合编辑 宗仁 黄鑫雷锋网(公众号:雷锋网)雷锋网雷锋网 今年夏天,雷锋网将在深圳举办一场盛况空前的&quot;全球人工智能与机器人峰会&quot;(简称CCF-GAIR).大会现场,谷歌,DeepMind,Uber,微软等巨头的人工智能实验室负责人将莅临深圳,向我们零距离展示国外人工智能震撼人心.撬动地球的核心所在.如果你不想错过这个大会的盛世狂欢,请点击文末购买我们的早鸟票. 本次CVPR 2016上,深度学习几乎成了如今计算机视觉研究的标配,人脸识别.图像识别.视频识别.行人检测.大规模场景识别的相			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLxwWp.html" rel="bookmark">真的，关于深度学习与计算机视觉，看这一篇就够了 &vert; 硬创公开课</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今年夏天,雷锋网将在深圳举办&quot;全球人工智能与机器人创新大会&quot;(GAIR),在本次大会上,我们将发布&quot;人工智能与机器人Top25创新企业榜&quot;,慧眼科技是我们重点关注的公司之一.今天,我们邀请到慧眼科技研发总监李汉曦,为我们带来深度学习与计算机视觉方面的内容分享.雷锋网雷锋网(公众号:雷锋网) 嘉宾介绍:李汉曦,慧眼科技研发总监,澳大利亚国立大学博士:曾任澳大利亚国家信息通信公司(NICTA)任高级研究员:人脸识别,物体检测,物体跟踪.深度学习方面的专家,在TPAMI,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg56Bz.html" rel="bookmark" class="title">asp&period;net读excle的数据类型不统一取出空值问题</a>
					<div>
						asp.net|数据|数据类型|问题 如果表格里某列全是数字或是字符没问题,但如果混合了全是数字和部分字符就会有部分读取为空连接Excel方式如下 string strConn = &quot;Pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlD3Wb.html" rel="bookmark" class="title">忘记RHLinux OS的root密码的解决方法</a>
					<div>
						很多初学Linux操作系统的人们偶尔会碰到这样的问题,忘记root用户的密码了(真是人间悲剧), 又或者是使用passwd指令的时候忘记在后面加上用户名,(passwd是用来更换用户密码的指令,这一点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBeGjb.html" rel="bookmark" class="title">Socket网络编程学习笔记（6）：使用线程池提高性能&lpar;完&rpar;</a>
					<div>
						在前几篇介绍中,不论是服务端的侦听还是客户端的连接都是通过新建一个 线程去执行特定功能的.在这种情况下,一量有一个新客户端需要连接,则又得 创建新的线程,而当程序创建新线程时,往往需要大量的内部开销, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62v7WM.html" rel="bookmark" class="title">什么是Java &quest;Java详解之深入JAVA</a>
					<div>
						数据类型 任何编程语言都免不了要定义变量,JAVA也不例外.JAVA的变量声明形式如下: type name; 其中的type是数据类型名,name指定义的该数据类型的一个具体变量. JAVA的内置数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxo0Zb.html" rel="bookmark" class="title">Jakarta-Common-BeanUtils使用笔记</a>
					<div>
						下载地址:http://commons.apache.org/beanutils/ 例子如下: 新建Bean: package demo.bean; import java.util.ArrayLis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrEmEp.html" rel="bookmark" class="title">Java学习杂谈（八）</a>
					<div>
						终于正式进入J2ee的细节部分了,首当其冲的当然是Servlet和Jsp了,上篇曾经提到过J2ee只是一个规范和指南,定义了一组必须要遵循的接口,核心概念是组件和容器.曾经有的人问笔者Servlet的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPNy7M.html" rel="bookmark" class="title">WPS论文如何设置不同页码</a>
					<div>
						  WPS论文如何设置不同页码        首先要为各部分分节,即将论文分成不同部分. 操作步骤 1.为方便查看分节情况,先点击开始,显示段落标记. 2.在各个部分的末尾处插入下一页分节符,在章节选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6n4jz.html" rel="bookmark" class="title">pdf如何转换为ppt</a>
					<div>
						  方法一:软件的直接转换 在PDF转换成word以及ppt之类文档中有一个很有名的软件:AnyBizSoft PDF Converter. 在打开的界面中点击添加,把你要转换的PDF文档添加到程序处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8Vx2b.html" rel="bookmark" class="title">svchost&period;exe占用cpu怎么处理</a>
					<div>
						方法/步骤 1.Svchost.exe进程多不一定是病毒.很多朋友对Svchost.exe进程都不太了解,偶尔在任务管理器中一旦看到多个同一进程,就以为自己的电脑中了病毒了,其实并非如此!正常情况下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwoBDb.html" rel="bookmark" class="title">人生日历怎么查询生活指数</a>
					<div>
						  1.搜索人生日历下载,双击安装包,点击立即安装后完成安装.用户根据个人习惯,可在右下角的自定义安装更改选项,如安装路径.是否创建桌面快捷方式等.安装过程中,如果有弹窗提示是否允许安装,选择允许本次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y8x5M.html" rel="bookmark" class="title">hibernate dtd文件找不到</a>
					<div>
						问题描述 hibernatedtd502错误?什么原因啊 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQry7GM.html" rel="bookmark" class="title">怎么在web页面实现android的可视化推送，</a>
					<div>
						问题描述 怎么在web页面实现android的可视化推送, 我是web端的.只需要实现将android传送push信息.但是android的html和web的html不同,有什么html编辑器直接就可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6VDnM.html" rel="bookmark" class="title">MDI窗体应用程序子窗体和父窗体怎么做窗体分割</a>
					<div>
						问题描述 MDI窗体应用程序子窗体和父窗体怎么做窗体分割 MDI窗体应用程序子窗体和父窗体怎么做窗体分割,在两个窗体之间怎么添加一个分割条? 解决方案 http://jingyan.baidu.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rwQJz.html" rel="bookmark" class="title">好又快物流上线imo云办公室&mdash;企业沟通协作平台</a>
					<div>
						近日,广东好又快物流有限公司(以下简称&quot;好又快物流&quot;)正式使用imo云办公室-企业沟通协作平台,加强企业沟通,助力企业发展. 好又快物流有限公成立于2011年,是集国内外(含香港) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjB7mM.html" rel="bookmark" class="title">网络挣钱-中文点击网赚注册应注意的事项</a>
					<div>
						1.关于网赚项目的选择.中文点击网赚最大的特点就是新站特别的多,鱼龙混杂难免有不稳定的站.网赚新手在选择中文点击网赚项目时可以到毛富大叔网赚站去看看,毛富大叔有专门针对新手而推出的专栏,新手可以从毛富 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE6roM.html" rel="bookmark" class="title">jquery写一个拖动导航固定到顶部实例</a>
					<div>
						具体效果是拖动滚动条,一旦屏幕滚动的区域超过元素所在的区域,元素会固定在顶端,并伴随屏幕滚动一直保持在顶端. 这样的程序在某些网站上可以大幅增加用户体验,从而获得良好的口碑. 今天我就在前段开拓者上增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXyrQb.html" rel="bookmark" class="title">麻烦高人来帮我看下我的代码，关于MzTreeView树为什么我单击树获取ID和名称的时候老是报错</a>
					<div>
						问题描述 错误提示:eval(this.getAttribute(source,&quot;method&quot;));语法错误MzTreeView.prototype.nodeClick=func ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKx2Pp.html" rel="bookmark" class="title">360有偿征集系统漏洞</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/23365.html&quot;&gt;京华时报讯(记者李斌)昨天,360公司发布&quot;库带计划&quot;,以现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBWwmM.html" rel="bookmark" class="title">在线急求解答！！关于 SliderShowExtender 链接数据库！</a>
					<div>
						问题描述 webservice.asmx.cs里的内容:[WebMethod]publicAjaxControlToolkit.Slide[]GetPhoto(){stringname=&quot;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q5rRM.html" rel="bookmark" class="title">深入Java不可变类型的详解&lowbar;java</a>
					<div>
						我们先看下面一个例子: 复制代码 代码如下:     import java.math.BigInteger;      public class BigProblem {          publ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZADVb.html" rel="bookmark" class="title">Java实现获取前、后N天日期的函数分享&lowbar;java</a>
					<div>
						代码很简单,功能也很实用,这里就不多废话了. public Date getdate(int i) // //获取前后日期 i为正数 向后推迟i天,负数时向前提前i天 { Date dat = nul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl5qmp.html" rel="bookmark" class="title">百度快照停止不前的解决办法</a>
					<div>
						经过近两个星期的努力,武汉seo这个站的百度快照终于恢复成隔日更新了,以老钱一贯低调的作风,决定先发个图来吹个牛逼. 关于提高百度快照的更新频率,首先得知道为什么百度快照的更新缓慢,前段时间写了一篇& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk2kOp.html" rel="bookmark" class="title">如何让自己发送出去的udp数据不被自己接收到？</a>
					<div>
						问题描述 如何让自己发送出去的udp数据不被自己接收到? 请问如何让自己发送出去的udp数据不被自己接收到?我自己写了Android接收且有发送udp的客户端,接收到是我要的数据我就给它一个回应,但自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPln0rp.html" rel="bookmark" class="title">mac-Mac 机器上如何配置启用PDO</a>
					<div>
						问题描述 Mac 机器上如何配置启用PDO PHP为Mac自带的PHP,没有重新安装,服务器使用的是nginx,目前php可以工作 PHP版本:5.5.20 MAC版本:10.10.3 解决方案 ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen4N0b.html" rel="bookmark" class="title">地方网站成为互联网传媒产业新宠儿</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 随着facebook的发展,sns网站一时间风靡全球,在其影响下,地方网站也随之水涨船高,诞生了19楼.上海滩社区.化龙巷.小鱼网.合肥论坛等一批优秀地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6XnZp.html" rel="bookmark" class="title">如今电视剧也几家一起团购</a>
					<div>
						以&lt;台商&gt;为例,这部由翁家明.温兆伦.陈德容主演的25集电视剧即将在央视八套播出.网站销售的是省地面频道播映权,原价125万元,打了4折后成了50万元,等于每集2万元.最低团购数量要求10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjog38M.html" rel="bookmark" class="title">阿里巴巴自揭伤疤高管换血</a>
					<div>
						本报讯(记者 王伶玲)没做到&quot;客户第一&quot;,阿里巴巴B2B公司CEO卫哲等高管引咎辞职. 昨天下午,阿里巴巴B2B公司董事会发布公告,经公司内部调查发现,在阿里巴巴B2B对外贸易平台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqg67Rz.html" rel="bookmark" class="title">一篇帖子引来1000多IP的操作方法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 一.操作效果 先不说怎么做到的,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOZREb.html" rel="bookmark" class="title">绿色金融的发展机制探讨</a>
					<div>
						要进一步发展绿色金融,需要探讨怎样形成一种在市场经济环境里面各种主体风险共担的可持续的发展机制 贾康 在中国,自多年以前就开始探讨的商业性金融和政策性金融分道扬镳后,进展并不顺利.政策金融到底怎样构建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLJy8Rb.html" rel="bookmark" class="title">eclipse问题。。。。</a>
					<div>
						问题描述 java.lang.IllegalArgumentException: Document base E:Test01WebRoot does not exist or is not a re ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.039 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
